$(function ($) {
    $("#CPF").mask("999.999.999-99");
    $("#Matricula").mask("999-999999");
});
$('#btFiltro').click(function () {
    $("#srTitulo").hide();
    $("#srUserPerfil").hide();
    $("#srMatCpf").hide();
    $("#srEmail").hide();
    $("#srBuscar").hide();
    $("#TableUserCad").show();
    var URL = 'Funcoes.php?Function=63&NomeUsu='
            + $("#NomeUsu").val() + "&ID_Perfil="
            + $("#ID_Perfil").val() + "&CPF="
            + $("#CPF").val() + "&Matricula="
            + $("#Matricula").val() + "&E_Mail="
            + $("#E_Mail").val();
    $.get(URL, function (resposta) {
        var Resp = JSON.parse(resposta);
        if (Resp.JSON != "OK") {
            $("#Info").html("<b>ATENÇÃO:</b> Não foi possivel filtrar a lista de usuários segue abaixo uma breve descrição do erro.<br><br>");
            $("#descError").html("<b>" + Resp.JSON + "</b>");
            $("#Erro").show();
        } else {
            var Dados = JSON.parse(Resp.DADOS);
            Contador = Dados;
            if (Dados.length > 0) {
                $("#BuscandoDados").hide();
                $("#TotalReg").html(Dados.length + " de " + TotalUser + " registros.");
                for (var i = 0; i < Dados.length; i++) {
                    $("#ListaUsuarios tbody").append(
                            "<tr id='00" + Dados[i].ID_Usuario + "' class='gradeU'>" +
                            "	<td style='text-align: center'>" + Dados[i].ID_Usuario + "</td>" +
                            "	<td> " + Dados[i].Nome + " </td>" +
                            "	<td style='text-align: center'>" + Dados[i].Perfil + "</td>" +
                            "	<td style='text-align: center'>" + Dados[i].CPF + "</td>" +
                            "	<td  style='text-align: center'>" +
                            "            <a href='Funcoes.php?Function=64&ID=" + Dados[i].ID_Usuario + "'>" +
                            "               <i class='fa fa-pencil-square-o' aria-hidden='true'></i>" +
                            "           </a>" +
                            "       </td>" +
                            "</tr>"
                            );
                }
            } else {
                $("#BuscandoDados").hide();
                $("#NaoLocalizado").show();
            }
        }
    });
});
$('#Usuario').click(function () {
    $("#TableUserCad").hide();
    $("#srTitulo").show();
    $("#srUserPerfil").show();
    $("#srMatCpf").show();
    $("#srEmail").show();
    $("#srBuscar").show();
    $("#BuscandoDados").show();
    $("#NaoLocalizado").hide();
    $("#TotalReg").html(0 + " de " + TotalUser + " registros.");
    for (var j = 0; j < Contador.length; j++) {
        $("#00" + Contador[j].ID_Usuario).remove();
    }
});